Remove a comment as a moderator
DELETE /api/comments/{commentId}. Remove a comment as a moderator. Headless LMS Discussion API reference.
curl -X DELETE "https://example.com/api/comments/string"{ "id": "string", "orgId": "string", "activityId": "string", "parentId": "string", "orgUserId": "string", "body": "string", "status": "pending", "removedBy": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z"}{ "error": "string", "message": "string", "requestId": "string"}{ "error": "string", "message": "string", "requestId": "string"}Publish a comment: approves a pending one, restores a removed one PATCH
PATCH /api/comments/{commentId}. Publish a comment: approves a pending one, restores a removed one. Headless LMS Discussion API reference.
Dismiss every open report on a comment DELETE
DELETE /api/comments/{commentId}/reports. Dismiss every open report on a comment. Headless LMS Discussion API reference.